Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DEREnumerated

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DEREnumerated

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  CRLReason, OCSPResponseStatus

public class DEREnumerated
extends DERObject

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DEREnumerated(java.math.BigInteger value)`
`DEREnumerated(byte[] bytes)`
`DEREnumerated(int value)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DEREnumerated` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Enumerated from a tagged object.
`static DEREnumerated` | `getInstance(java.lang.Object obj)` return an integer from the passed in object
`java.math.BigInteger` | `getValue()`
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DEREnumerated

    public DEREnumerated(int value)

### DEREnumerated

    public DEREnumerated(java.math.BigInteger value)

### DEREnumerated

    public DEREnumerated(byte[] bytes)

Method Detail

### getInstance

    public static DEREnumerated getInstance(java.lang.Object obj)

  return an integer from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DEREnumerated getInstance(ASN1TaggedObject obj,
                                            boolean explicit)

  return an Enumerated from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getValue

    public java.math.BigInteger getValue()

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `DERObject`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `DERObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD